Рейтинг@Mail.ru
[Войти] [Зарегистрироваться]

Наши друзья и партнеры

UnixForum
Беспроводные выключатели nooLite купить дешевый 
компьютер родом из Dhgate.com

Lines Club

Ищем достойных соперников.

Библиотека сайта или "Мой Linux Documentation Project"

На главную -> MyLDP -> Электронные книги по ОС Linux
Beyond Linux From Scratch. Version 2011-12-30
Назад 34. Дополнительные пакеты GNOME. Вспомогательные средства Вперед

Вспомогательные средства

Пакет AT SPI-1.30.1

Знакомимся с пакетом AT SPI

В пакете AT SPI находится интерфейс сервис-провайдера Assistive Technology Service Provider Interface, предназначенных для использования в адаптивных технологических решениях. Он используется для перенаправления событий пользовательского интерфейса в доступные приложения и вспомогательные адаптивные модули.

Известно, что пакет правильно собирается и работает на платформе LFS-6.5.

Информация о пакете

Зависимости пакета AT SPI

Обязательные

GConf-2.28.1, gtk+-2.24.8, libbonobo-2.24.3, Python-2.7.2 и Xorg Libraries

Необязательные

GTK-Doc-1.18

Замечания для пользователей: http://wiki.linuxfromscratch.org/blfs/wiki/at-spi

Установка пакета AT SPI

Установите пакет AT SPI с помощью следующих команд:

./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
            --sysconfdir=/etc/gnome/2.30.2 \
            --libexecdir=$(pkg-config \
                --variable=prefix ORBit-2.0)/lib/at-spi &&
make

В этот пакете нет функционального тестового набора. Дополнительную информацию о тестировании этого пакета смотрите в файле README.

Теперь в роли пользователя root выполните:

make install

Пояснение команд

--prefix=$(pkg-config --variable=prefix ORBit-2.0): Установка префикса с помощью этого параметра, а не с помощью $GNOME_PREFIX будет гарантировать, что префикс будет установлен в соответствие со средой окружения и пакет будет установлен в нужном месте.

--sysconfdir=/etc/gnome/2.30.2: Этот параметр указывает, что конфигурационные файлы будут установлены в директорий /etc/gnome/2.30.2, а не в директорий .$GNOME_PREFIX/etc. Кроме того (если это требуется), этот параметр гарантирует, что будет правильно обновлена база данных GConf-2.

--libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/at-spi: Этот параметр указывает, что файлы libexec будут установлены в более правильный директорий $GNOME_PREFIX/lib/, at-spi а не в директорий $GNOME_PREFIX/libexec.

--enable-gtk-doc: Используйте этот параметр, если установлен пакет GTK-Doc и вы хотите пересобрать и установить документацию по API.

Описание пакета

Установленные программы: at-spi-registryd

Установленные библиотеки: libatk-bridge.so, libcspi.so, libloginhelper.so, libspi.so, Accessibility_LoginHelper_module.so и Accessibility_module.so

Установленные директории: /usr/lib/python2.6/site-packages/pyatspi, $GNOME_PREFIX/{include/at-spi-1.0/{cspi,libspi, login-helper},lib/at-spi,share/{doc/at-spi-1.30.1/reference/html, gtk-doc/html/at-spi-cspi,idl/at-spi-1.0}}

Краткое описание

at-spi-registryd

демон реестра, с помощью которого реализуется взаимодействие между пользовательским интерфейсом и вспомогательными устройствами

libatk-bridge.so

модуль GTK+

Accessibility_LoginHelper_module.so

модуль ORBit2

Accessibility_module.so

модуль ORBit2

Перевод сделан с варианта оригинала, датированного 2011-10-31 19:38:44 +0000


Предыдущий раздел: Оглавление Следующий раздел:
Пакет Vino-2.28.2   Пакет dasher-4.11


Эта статья еще не оценивалась
Вы сможете оценить статью и оставить комментарий, если войдете или зарегистрируетесь.
Только зарегистрированные пользователи могут оценивать и комментировать статьи.

Комментарии отсутствуют